/**
 * Attaches the user object to the request if authenticated
 * Otherwise returns 401
 */
export declare function ensureIsAuthenticated(req: any, res: any, next: any): void;
/**
 * Attaches the user object to the request if authenticated
 * Otherwise continue silently
 */
export declare function authenticatedIfCredentialProvided(req: any, res: any, next: any): void;
export declare function authenticate(req: any, res: any): any;
/**
 * #####  UTILS  #####
 */
/**
 * Checks if request is authenticated
 */
export declare function isAuthenticated(req: any): boolean;
/**
 * Checks if the user role meets the minimum requirements of the route
 */
export declare function getUserInfomations(email: any): any;
